- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Public Attributes | Protected Member Functions

# QStyleOptionFrameV3 Class Reference

Search for all occurrences

## Detailed Description

Definition at line 157 of file qstyleoption.h.

`#include <qstyleoption.h>`

Inheritance diagram for QStyleOptionFrameV3:
[legend]

List of all members.

## Public Types
enum | StyleOptionVersion { Version = 3 }
## Public Member Functions
| QStyleOptionFrameV3 ()
| QStyleOptionFrameV3 (const QStyleOptionFrameV3 &other)
| QStyleOptionFrameV3 (const QStyleOptionFrame &other)
QStyleOptionFrameV3 & | operator= (const QStyleOptionFrame &other)
## Public Attributes
QFrame::Shape | frameShape: 4
uint | unused: 28
## Protected Member Functions
| QStyleOptionFrameV3 (int version)

## Member Enumeration Documentation

enum StyleOptionVersion

Search for all occurrences

Enumerator:

  Version | Search for all occurrences

Reimplemented from QStyleOptionFrameV2.

Definition at line 160 of file qstyleoption.h.

    { Version = 3 };

## Constructor & Destructor Documentation

QStyleOptionFrameV3 | ( |  | ) |

QStyleOptionFrameV3 | ( | const QStyleOptionFrameV3 & | other | ) | `[inline]`

Definition at line 165 of file qstyleoption.h.

    : QStyleOptionFrameV2(Version) { *this = other; }

QStyleOptionFrameV3 | ( | const QStyleOptionFrame & | other | ) |

QStyleOptionFrameV3 | ( | int | version | ) | `[protected]`

## Member Function Documentation

QStyleOptionFrameV3& operator= | ( | const QStyleOptionFrame & | other | ) |

Reimplemented from QStyleOptionFrameV2.

## Member Data Documentation

QFrame::Shape frameShape

Search for all occurrences

Definition at line 161 of file qstyleoption.h.

uint unused

Search for all occurrences

Definition at line 162 of file qstyleoption.h.

The documentation for this class was generated from the following file:

- QtGui/qstyleoption.h

QStyleOptionFrameV3 QStyleOptionFrameV3 QStyleOptionFrameV3 QStyleOptionFrameV3 QStyleOptionFrameV3 QStyleOptionFrameV3 QStyleOptionFrameV3 QStyleOptionFrameV3 QStyleOptionFrameV3 QStyleOptionFrameV3
QStyleOptionFrameV3 QStyleOptionFrameV3 QStyleOptionFrameV3 QStyleOptionFrameV3 QStyleOptionFrameV3 QStyleOptionFrameV3 QStyleOptionFrameV3 QStyleOptionFrameV3 QStyleOptionFrameV3 QStyleOptionFrameV3